---
title: Node.parentNode
slug: Web/API/Node/parentNode
tags:
  - API
  - DOM
  - Gecko
  - Property
---
<div>
<div>{{APIRef("DOM")}}</div>
</div>

<p>The <code><strong>Node.parentNode</strong></code> read-only property returns the parent of the specified node in the DOM tree.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>parentNode</em> = <em>node</em>.parentNode
</pre>

<p><code>parentNode</code> is the parent of the current node. The parent of an element is an <code>Element</code> node, a <code>Document</code> node, or a <code>DocumentFragment</code> node.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (node.parentNode) {
  // remove a node from the tree, unless
  // it's not in the tree already
  node.parentNode.removeChild(node);
}</pre>

<h2 id="Notes">Notes</h2>

<p><code>Document</code> and <code>DocumentFragment</code> <a href="/en-US/docs/DOM/Node.nodeType" title="DOM/Node.nodeType">nodes</a> can never have a parent, so <code>parentNode</code> will always return <code>null</code>.</p>

<p>It also returns <code>null</code> if the node has just been created and is not yet attached to the tree.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-node-parentnode", "Node: parentNode")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.parentNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Domxref("Node.firstChild")}}</li>
 <li>{{Domxref("Node.lastChild")}}</li>
 <li>{{Domxref("Node.childNodes")}}</li>
 <li>{{Domxref("Node.nextSibling")}}</li>
 <li>{{Domxref("Node.parentElement")}}</li>
 <li>{{Domxref("Node.previousSibling")}}</li>
 <li>{{Domxref("Node.removeChild")}}</li>
</ul>
